TimeBetweenMessage = 60*20 -- 20 ticks is one second, so 60*20 is 60 seconds.

function Initialize(Plugin)
	Time = 0
	Messages = {}
	Current = 0
	PLUGIN = Plugin
	PLUGIN:SetName("Broadcast")
	PLUGIN:SetVersion(2)
	
	PluginManager = cRoot:Get():GetPluginManager()
	PluginManager:AddHook(cPluginManager.HOOK_TICK, OnTick)
	
	PluginManager:BindCommand("/broadcast",       "Broadcast.command",         HandleBroadcastCommand,         " Sends a new Broadcast message." )
	
	LoadSettings(PLUGIN:GetLocalDirectory() .. "/Config.ini")
	
	LOG( "Initializing Broadcast v3" )
	return true
end


function HandleBroadcastCommand( Split, Player )
	Time = TimeBetweenMessage
	return true
end


function LoadSettings(Path)
	Ini = cIniFile()
	Ini:ReadFile(Path)
	TimeBetweenMessage = Ini:GetValueSetI( "General", "SecondsBetweenMessage", 60 ) * 20
	Random = Ini:GetValueSetB( "General", "Random", false )
	if Ini:FindKey( "Messages" ) == -1 then
		Ini:SetValue( "Messages", 1, "@1This is a test message" )
	end
	for I=0, Ini:GetNumValues( "Messages" ) - 1 do
		Split = StringSplit( Ini:GetValue( "Messages", Ini:GetValueName( "Messages", I ) ), " " )
		local TempMessage = ""
		for i=1, #Split do
			if string.find( Split[i], "@" ) ~= nil then
				local Color, Char = ReturnColor( Split[i], string.find( Split[i], "@" ) )
				TempMessage = TempMessage .. Color .. string.gsub(Split[i], "@" .. Char, "") .. " "
			else
				TempMessage = TempMessage .. Split[i] .. " "
			end
		end
		Messages[I] = TempMessage
	end
	Ini:WriteFile(Path)
end


function ReturnColor( Split, char )
	if string.sub( Split, char + 1, char + 1 ) == "0" then
		return cChatColor.Black, 0
	elseif string.sub( Split, char + 1, char + 1 ) == "1" then
		return cChatColor.Navy, 1
	elseif string.sub( Split, char + 1, char + 1 ) == "2" then
		return cChatColor.Green, 2
	elseif string.sub( Split, char + 1, char + 1 ) == "3" then
		return cChatColor.Blue, 3
	elseif string.sub( Split, char + 1, char + 1 ) == "4" then
		return cChatColor.Red, 4
	elseif string.sub( Split, char + 1, char + 1 ) == "5" then
		return cChatColor.Purple, 5
	elseif string.sub( Split, char + 1, char + 1 ) == "6" then
		return cChatColor.Gold, 6
	elseif string.sub( Split, char + 1, char + 1 ) == "7" then
		return cChatColor.LightGray, 7
	elseif string.sub( Split, char + 1, char + 1 ) == "8" then
		return cChatColor.Gray, 8
	elseif string.sub( Split, char + 1, char + 1 ) == "9" then
		return cChatColor.DarkPurple, 9
	elseif string.sub( Split, char + 1, char + 1 ) == "a" then
		return cChatColor.LightGreen, "a"
	elseif string.sub( Split, char + 1, char + 1 ) == "b" then
		return cChatColor.LightBlue, "b"
	elseif string.sub( Split, char + 1, char + 1 ) == "c" then
		return cChatColor.Rose, "c"
	elseif string.sub( Split, char + 1, char + 1 ) == "d" then
		return cChatColor.LightPurple, "d"
	elseif string.sub( Split, char + 1, char + 1 ) == "e" then
		return cChatColor.Yellow, "e"
	elseif string.sub( Split, char + 1, char + 1 ) == "f" then
		return cChatColor.White, "f"
	else
		return ""
	end
end
	
	

function OnTick()
	Time = Time + 1
	if Time > TimeBetweenMessage then
		local Root = cRoot:Get()
		if Random == false then
			Root:BroadcastChat(Messages[Current])
		else
			Root:BroadcastChat(Messages[math.random(0, #Messages)])
		end
		Current = Current + 1
		if Current > Ini:GetNumValues( "Messages" ) - 1 then
			Current = 0
		end
		Time = 0
	end
end